Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchStatus

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchStatus

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchStatus

extends java.lang.Object
implements EPPCodecComponent

Launch application status constants that are returned by `EPPLaunchInfData.getStatus()` or set with `EPPLaunchInfData.setStatus(EPPLaunchStatus)`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_NAME` OPTIONAL attribute name that can define a sub-status or the full name of the status when the <launch:status> element has the "custom" value.
`static java.lang.String` | `ATTR_STATUS` Status attribute key
`static java.lang.String` | `ELM_LOCALNAME` Constant for the status local name
`static java.lang.String` | `ELM_NAME` Constant for the status qualified name (prefix and local name)
`static java.lang.String` | `STATUS_ALLOCATED` One of two possible end states of an application object; the object corresponding to the application has been provisioned.
`static java.lang.String` | `STATUS_CUSTOM` A custom status that is defined using the "name" attribute.
`static java.lang.String` | `STATUS_INVALID` The application does not validate according to registry rules.
`static java.lang.String` | `STATUS_PENDING_ALLOCATION` The allocation of the application is pending based on the results of some out-of-band process (for example, an auction).
`static java.lang.String` | `STATUS_PENDING_VALIDATION` The initial state of a newly-created application object.
`static java.lang.String` | `STATUS_REJECTED` The other possible end state; the object was not provisioned.
`static java.lang.String` | `STATUS_VALIDATED` The application meets relevant registry rules.

Constructor Summary
`EPPLaunchStatus()` Default constructor.
`EPPLaunchStatus(java.lang.String aStatus)` Create `EPPLaunchStatus` instance with a defined status value.
`EPPLaunchStatus(java.lang.String aStatus, java.lang.String aName)` Create `EPPLaunchStatus` instance with a defined status value and with the status name value.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchStatus`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchStatus` element aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchStatus` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchStatus` compare.
`java.lang.String` | `getName()` Gets the OPTIONAL status name or sub-status name.
`java.lang.String` | `getStatus()` Gets the status value, which should match one of the `STATUS` constants.
`void` | `setName(java.lang.String aName)` Sets the OPTIONAL status name or sub-status name.
`void` | `setStatus(java.lang.String aStatus)` Sets the status value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_PENDING_VALIDATION

    public static final java.lang.String STATUS_PENDING_VALIDATION

  The initial state of a newly-created application object. The application requires validation, but the validation process has not yet completed.

  See Also:
    Constant Field Values

### STATUS_VALIDATED

    public static final java.lang.String STATUS_VALIDATED

  The application meets relevant registry rules.

  See Also:
    Constant Field Values

### STATUS_INVALID

    public static final java.lang.String STATUS_INVALID

  The application does not validate according to registry rules.

  See Also:
    Constant Field Values

### STATUS_PENDING_ALLOCATION

    public static final java.lang.String STATUS_PENDING_ALLOCATION

  The allocation of the application is pending based on the results of some out-of-band process (for example, an auction).

  See Also:
    Constant Field Values

### STATUS_ALLOCATED

    public static final java.lang.String STATUS_ALLOCATED

  One of two possible end states of an application object; the object corresponding to the application has been provisioned.

  See Also:
    Constant Field Values

### STATUS_REJECTED

    public static final java.lang.String STATUS_REJECTED

  The other possible end state; the object was not provisioned.

  See Also:
    Constant Field Values

### STATUS_CUSTOM

    public static final java.lang.String STATUS_CUSTOM

  A custom status that is defined using the "name" attribute.

  See Also:
    Constant Field Values

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the status local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the status qualified name (prefix and local name)

  See Also:
    Constant Field Values

### ATTR_STATUS

    public static final java.lang.String ATTR_STATUS

  Status attribute key

  See Also:
    Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  OPTIONAL attribute name that can define a sub-status or the full name of the status when the <launch:status> element has the "custom" value.

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchStatus

    public EPPLaunchStatus()

  Default constructor. The status value MUST be set using the `setStatus(String)` method.

### EPPLaunchStatus

    public EPPLaunchStatus(java.lang.String aStatus)

  Create `EPPLaunchStatus` instance with a defined status value.

  Parameters:
    `aStatus` - Status value using one of the `STATUS` constants.

### EPPLaunchStatus

    public EPPLaunchStatus(java.lang.String aStatus,
                           java.lang.String aName)

  Create `EPPLaunchStatus` instance with a defined status value and with the status name value.

  Parameters:
    `aStatus` - Status value using one of the `STATUS` constants.
    `aName` - Name of sub-status or full name of status when `aStatus` is set to `STATUS_CUSTOM`.

Method Detail

### getStatus

    public java.lang.String getStatus()

  Gets the status value, which should match one of the `STATUS` constants.

  Returns:
    Status value

### setStatus

    public void setStatus(java.lang.String aStatus)

  Sets the status value.

  Parameters:
    `aStatus` - Status value, which should be one of the `STATUS` constants.

### getName

    public java.lang.String getName()

  Gets the OPTIONAL status name or sub-status name.

  Returns:
    The status name or sub-status name if defined; null otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the OPTIONAL status name or sub-status name.

  Parameters:
    `aName` - Status name

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchStatus`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchStatus`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPLaunchStatus` element aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPLaunchStatus` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPLaunchStatus` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the `EPPLaunchStatus` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPLaunchStatus` instance.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchStatus` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchStatus` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.